<template>
  <v-list class="pl-2 pr-2" min-width="300px">
    <v-list-item
      v-model="props.todoList"
      v-for="todo in props.todoList"
      :key="todo.id"
      class="d-flex justify-space-between mb-1"
      style="border: 2px solid; border-color: todo.comleted ? #FF6D00 : #00C853; border-radius: 5px;"
      :base-color="todo.comleted ? 'orange-accent-4' : 'green-accent-4'"
      @click="toggleTask(todo.id)"
    >
      <v-list-item-title>{{ todo.content }}</v-list-item-title>

      <template v-slot:append>
        <v-btn color="deep-orange-darken-3" @click.stop="removeTodo(todo.id)"
          >Remove</v-btn
        >
      </template>
    </v-list-item>
  </v-list>
</template>
<script setup lang="ts">
import { PropType } from "vue";
import { TodoItem } from "../types/TodoItems";

const props = defineProps({
  todoList: Object as PropType<TodoItem[]>,
});

const toggleTask = (id: number): void => {
  emit("toggleTodo", id);
};

const removeTodo = (id: number): void => {
  emit("removeTodo", id);
};

const emit = defineEmits({
  toggleTodo: (id: number): boolean => Number.isInteger(id),
  removeTodo: (id: number): boolean => Number.isInteger(id),
});
</script>
